## org.apache.mahout.classifier.bayes.common
Class ByScoreLabelResultComparator

    java.lang.Object
      org.apache.mahout.classifier.bayes.common.ByScoreLabelResultComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<ClassifierResult>

    public final class ByScoreLabelResultComparator

extends java.lang.Object
implements java.util.Comparator<ClassifierResult>, java.io.Serializable

Compare two results of classification and return the lowest valued one

See Also:
  Serialized Form

Constructor Summary
`ByScoreLabelResultComparator()`

Method Summary
`int` `compare(ClassifierResult cr1, ClassifierResult cr2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### ByScoreLabelResultComparator

    public ByScoreLabelResultComparator()

Method Detail

### compare

    public int compare(ClassifierResult cr1,
                       ClassifierResult cr2)

  Specified by:
    `compare` in interface `java.util.Comparator<ClassifierResult>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.